Khi2 Class Reference

`#include <costfunctions.h>`

Inheritance diagram for Khi2:
Collaboration diagram for Khi2:

## Public Member Functions

| Khi2 ()
| Khi2 (const Khi2 &)
| Khi2 (std::vector< std::vector< double >>, std::vector< std::vector< double >>)
| ~Khi2 ()
void | setData (std::vector< std::vector< double >>, std::vector< std::vector< double >>)
double | get () const
Public Member Functions inherited from CostFunction
| CostFunction ()
| CostFunction (const CostFunction &)
virtual | ~CostFunction ()

## Constructor & Destructor Documentation

## Khi2() [1/3]

Khi2::Khi2 | ( |  | ) |

## Khi2() [2/3]

Khi2::Khi2 | ( | const Khi2 & | other | ) |

## Khi2() [3/3]

Khi2::Khi2 | ( | std::vector< std::vector< double >> | T1,
|  | std::vector< std::vector< double >> | T2
| ) |  |

## ~Khi2()

Khi2::~Khi2 | ( |  | ) |

inline

## Member Function Documentation

## get()

double Khi2::get | ( |  | ) | const

virtual

Implements CostFunction.

## setData()

void Khi2::setData | ( | std::vector< std::vector< double >> | T1,
|  | std::vector< std::vector< double >> | T2
| ) |  |

The documentation for this class was generated from the following files:

- costfunctions.h
- costfunctions.cpp